setVariablesIfNeeded('{ds}/Resources/TestDataHashDPL.csv','SyntheticDPL',0,'en_US');
setDescription("Navigate and Login to the application");
include("{ds}/Resources/Login.ds");
setDescription("Smart tags");
addSmartTagsLibrary("{ds}/Resources/nisum.stags");
setDescription("Click on My Account menu link");
click(span(any("My Account")));
setDescription("Click on address book link");
click(link(any("Address Book","/furniture/account?page_name=address_book")));
setDescription("Click on add new address link");
click(link(any("Add Address","/furniture/account?page_name=address_book_process")));
setDescription("Include synthetic DPL");
addSyntheticDPL("{ds}/Resources/TestDataSyntheticDPL.csv",0);
setDescription("Enter first name");
setValue(textbox(any("billing_address-firstname","validate-element")),$FirstName);
setDescription("Enter last name");
setValue(textbox(any("billing_address-lastname")),$LastName);
setDescription("Enter post code");
setValue(textbox(any("billing_address-postcode","required-error validate-element")),$PostCode);
setDescription("Enter street address");
setValue(textbox(any("billing_address-street_address","required-error validate-element")),$StreetAddress);
setDescription("Enter city/Town");
setValue(textbox(any("billing_address-city","ui-autocomplete-input validate-element")),$TownCity);
setDescription("Select country");
//setSelected(select(any("billing_address-country")),$Country);
setDescription("Click on continue button");
click(stContinueButton('Continue'));
setDescription("Verify address added with provided name");
assertExists(div([$FirstName+" "+$LastName]));
setDescription("Click on delete icon for added address");
click(span("btn-del",_below(div([$FirstName+" "+$LastName]))));
setDescription("Click confirm delete button");
click(span(any("Delete","btn btn-default btn-success")));
setDescription("Verify delete message");
assertExists(div(any("message success")));
